Skip to main content
POST
/
api
/
v1
/
api-keys
Create a new API key for the authenticated tenant.
curl --request POST \
  --url https://api.backside.app/api/v1/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "environment": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "scopes": [
    "<string>"
  ]
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "environment": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "<string>",
  "key_hint": "<string>",
  "name": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "scopes": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
environment
string | null
expires_at
string<date-time> | null
scopes
string[] | null

Response

API key created

created_at
string<date-time>
required
environment
string
required
id
string<uuid>
required
key
string
required
key_hint
string
required
name
string
required
expires_at
string<date-time> | null
scopes
string[] | null